gi-glib-2.0.24: GLib bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GLib.Structs.TestCase

Contents

- Exported types
- Methods
  - Overloaded methods

Description

An opaque structure representing a test case.

Synopsis

- newtype TestCase = TestCase (ManagedPtr TestCase)

# Exported types

newtype TestCase Source #

Memory-managed wrapper type.

Constructors

TestCase (ManagedPtr TestCase) |

#### Instances

Instances details

Eq TestCase Source # |
Instance details Defined in GI.GLib.Structs.TestCase Methods (==) :: TestCase -> TestCase -> Bool # (/=) :: TestCase -> TestCase -> Bool #
ManagedPtrNewtype TestCase Source # |
Instance details Defined in GI.GLib.Structs.TestCase Methods toManagedPtr :: TestCase -> ManagedPtr TestCase Source #
BoxedPtr TestCase Source # |
Instance details Defined in GI.GLib.Structs.TestCase Methods boxedPtrCopy :: TestCase -> IO TestCase Source # boxedPtrFree :: TestCase -> IO () Source #

# Methods

## Overloaded methods